Author Topic: I need the coordiantions of the startpoint of a multileader  (Read 447 times)

0 Members and 1 Guest are viewing this topic.

Amsterdammed

  • Swamp Rat
  • Posts: 507
  • Revit MEP 2016 Acad2013, OPEN DCL
I need the coordiantions of the startpoint of a multileader
« on: October 22, 2018, 04:59:16 PM »
Hello there,
after a long time in Revit land i am back with a lisp problem.

How can i read out the start point of a multileader? 
Bernd

ronjonp

  • Needs a day job
  • Posts: 7044
Re: I need the coordiantions of the startpoint of a multileader
« Reply #1 on: October 22, 2018, 05:01:55 PM »

Code - Auto/Visual Lisp: [Select]
  1. (setq o (vlax-ename->vla-object (car (entsel))))
  2. ;; First 3 items
  3. (vlax-invoke o 'getleaderlinevertices 0)

Windows 10 x64 - AutoCAD /C3D 2020

Custom Build PC

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1004
  • Marco
Re: I need the coordiantions of the startpoint of a multileader
« Reply #2 on: October 23, 2018, 08:47:26 AM »
Or with Vanilla:
(setq o (car (entsel)))
(assoc 15 (entget o))
>> (15 13234.9898713344 3370.0 0.0)

Edit: erase everything I wrote...           DXF 15 > Block Content Position   :opps:
« Last Edit: October 23, 2018, 10:06:35 AM by Marc'Antonio Alessi »